CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2007-2052

Off-by-one error in the PyLocale_strxfrm function in Modules/_localemodule.c for Python 2.4 and 2.5 causes an incorrect buffer size to be used for the strxfrm function, which allows context-dependent attackers to read portions of memory via unknown manipulations that trigger a buffer over-read due to missing null termination.
Publish Date : 2007-04-16 Last Update Date : 2012-11-05
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 189

- Vendor Statements

Red Hat is aware of this issue and is tracking it via the following bug: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=235093 The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw. More information regarding issue severity can be found here: http://www.redhat.com/security/updates/classification/
Source: Redhat

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat low 2007-04-02 2007-04-02
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2007-2052 oval:org.opensuse.security:def:20072052 unix
DSA-1551 python2.4 -- several vulnerabilities oval:org.mitre.oval:def:8152 unix
DSA-1551-1 python2.4 - several vulnerabilities oval:org.mitre.oval:def:18481 unix
DSA-1620 python2.5 -- several vulnerabilities oval:org.mitre.oval:def:7981 unix
DSA-1620-1 python2.5 - several vulnerabilities oval:org.mitre.oval:def:20188 unix
ELSA-2009:1176: python security update (Moderate) oval:org.mitre.oval:def:22809 unix
Off-by-one error in the PyLocale_strxfrm function in Modules/_localemodule.c for Python 2.4 and 2.5 causes an incorrect ... oval:org.mitre.oval:def:11716 unix
RHSA-2007:1076: python security update (Moderate) oval:com.redhat.rhsa:def:20071076 unix
RHSA-2009:1176 -- python security update (Moderate) oval:org.mitre.oval:def:29294 unix
RHSA-2009:1176: python security update (Moderate) oval:com.redhat.rhsa:def:20091176 unix
VMware python PyLocale_strxfrm function vulnerability oval:org.mitre.oval:def:8353 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2007-2052

# Product Type Vendor Product Version Update Edition Language
1 Application Python Software Foundation Python 2.4 Version Details Vulnerabilities
2 Application Python Software Foundation Python 2.5 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Python Software Foundation Python 2

- References For CVE-2007-2052

http://xforce.iss.net/xforce/xfdb/34060
XF python-localemodule-information-disclosure(34060)
https://issues.rpath.com/browse/RPL-1358 CONFIRM
http://lists.vmware.com/pipermail/security-announce/2008/000005.html
MLIST [Security-announce] 20080221 VMSA-2008-0003 Moderate: Updated aacraid driver and samba and python service console updates
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=235093 CONFIRM
http://secunia.com/advisories/29032
SECUNIA 29032
http://secunia.com/advisories/29889
SECUNIA 29889
http://secunia.com/advisories/29303
SECUNIA 29303
http://www.debian.org/security/2008/dsa-1551
DEBIAN DSA-1551
http://www.securityfocus.com/archive/1/archive/1/488457/100/0/threaded
BUGTRAQ 20080221 VMSA-2008-0003 Moderate: Updated aacraid driver and samba and python service console updates
http://www.ubuntu.com/usn/usn-585-1
UBUNTU USN-585-1
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=416934 CONFIRM
http://secunia.com/advisories/25190
SECUNIA 25190
http://secunia.com/advisories/25217
SECUNIA 25217
http://secunia.com/advisories/25233
SECUNIA 25233
http://secunia.com/advisories/25353
SECUNIA 25353
http://secunia.com/advisories/25787
SECUNIA 25787
http://secunia.com/advisories/28027
SECUNIA 28027
http://secunia.com/advisories/28050
SECUNIA 28050
http://secunia.com/advisories/31255
SECUNIA 31255
http://secunia.com/advisories/31492
SECUNIA 31492
http://www.debian.org/security/2008/dsa-1620
DEBIAN DSA-1620
http://secunia.com/advisories/37471
SECUNIA 37471
http://www.mandriva.com/security/advisories?name=MDKSA-2007:099
MANDRIVA MDKSA-2007:099
http://www.python.org/download/releases/2.5.1/NEWS.txt CONFIRM
http://www.novell.com/linux/security/advisories/2007_13_sr.html
SUSE SUSE-SR:2007:013
http://www.securityfocus.com/bid/23887
BID 23887 Python PyLocale_strxfrm Function Remote Information Leak Vulnerability Release Date:2010-03-30
http://www.securityfocus.com/archive/1/archive/1/507985/100/0/threaded
BUGTRAQ 20091120 VMSA-2009-0016 VMware vCenter and ESX update release and vMA patch release address multiple security issue in third party components
http://www.securityfocus.com/archive/1/archive/1/469294/30/6450/threaded
BUGTRAQ 20070521 FLEA-2007-0019-1: python
http://www.redhat.com/support/errata/RHSA-2008-0629.html
REDHAT RHSA-2008:0629
http://www.redhat.com/support/errata/RHSA-2007-1077.html
REDHAT RHSA-2007:1077
http://www.redhat.com/support/errata/RHSA-2007-1076.html
REDHAT RHSA-2007:1076
http://www.vmware.com/security/advisories/VMSA-2009-0016.html CONFIRM
http://www.trustix.org/errata/2007/0019/
TRUSTIX 2007-0019
http://www.vupen.com/english/advisories/2008/0637
VUPEN ADV-2008-0637
http://www.vupen.com/english/advisories/2007/1465
VUPEN ADV-2007-1465
http://www.vupen.com/english/advisories/2009/3316
VUPEN ADV-2009-3316

- Metasploit Modules Related To CVE-2007-2052

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.